package com.lqkj.link.module.zone.domain;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Table(name = "layer_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class LayerInfo {
    @Id
    @Column(name = "layer_id")
    private String layerId;
    @Column(name = "zone_id")
    private Integer zoneId;
    @Column(name = "layer_name")
    private String layerName;
    @Transient
    private String Name;
    @Column(name = "locking")
    private Boolean locking;
    public String getName() {
        return layerId;
    }
}
