package com.lqkj.link.module.zone.service;

import com.lqkj.link.module.zone.domain.LayerInfo;
import com.lqkj.link.module.zone.repository.LayerInfoRepository;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LayerInfoService {
    private final LayerInfoRepository layerInfoRepository;

    public LayerInfoService(LayerInfoRepository layerInfoRepository) {
        this.layerInfoRepository = layerInfoRepository;
    }

    public List<LayerInfo> queryByZoneId(Integer zoneId) {
        return layerInfoRepository.queryAllByZoneId(zoneId);
    }
}
